> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipublicbooking url patients



## OpenAPI

````yaml /openapi.json post /api/public/booking-url/{urlName}/patients
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/booking-url/{urlName}/patients:
    post:
      operationId: BookingUrlPublicController_createPatient
      parameters:
        - name: urlName
          required: true
          in: path
          schema:
            minLength: 3
            maxLength: 50
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePatientDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreatePatientDto:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
        lastName:
          type: string
          minLength: 1
        phone:
          type: string
          minLength: 1
        email:
          type: string
          format: email
          nullable: true
        dni:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        sex:
          type: string
          nullable: true
        birthdate:
          type: string
          nullable: true
      required:
        - firstName
        - lastName
        - phone
        - email
        - dni
        - address
        - sex
        - birthdate

````